%global __brp_check_rpaths %{nil}
%global packname  simITS
%global packver   0.1.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.1
Release:          3%{?dist}%{?buildtag}
Summary:          Analysis via Simulation of Interrupted Time Series (ITS) Data

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch
BuildRequires:    R-CRAN-dplyr 
BuildRequires:    R-CRAN-rlang 
Requires:         R-CRAN-dplyr 
Requires:         R-CRAN-rlang 

%description
Uses simulation to create prediction intervals for post-policy outcomes in
interrupted time series (ITS) designs, following Miratrix (2020)
<arXiv:2002.05746>. This package provides methods for fitting ITS models
with lagged outcomes and variables to account for temporal dependencies.
It then conducts inference via simulation, simulating a set of plausible
counterfactual post-policy series to compare to the observed post-policy
series. This package also provides methods to visualize such data, and
also to incorporate seasonality models and smoothing and
aggregation/summarization.  This work partially funded by Arnold Ventures
in collaboration with MDRC.

%prep
%setup -q -c -n %{packname}

find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}

test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%files
%{rlibdir}/%{packname}
